<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: Class Members - Variables</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a id="index_i"></a>- i -</h3><ul>
<li>id
: <a class="el" href="structalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_android_s_l_ef6f82b5773b151088a4a25ac30a19f68.html#a5edd3f4eeb338fb4e9528c31aa51f526">alexaClientSDK::applicationUtilities::androidUtilities::test::AndroidSLESObjectTest::MockInterface</a>
, <a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_1_1_asset.html#a2bea8527b0ac21fbcc42a14fa7c9c0ef">alexaClientSDK::capabilityAgents::alerts::Alert::Asset</a>
, <a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1_audio_item.html#af60855e6fee86b663a1624ca8f611800">alexaClientSDK::capabilityAgents::audioPlayer::AudioItem</a>
, <a class="el" href="structalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface_1_1_stored_message.html#aeed95c55c8e99c1459fb7f3b429a7704">alexaClientSDK::certifiedSender::MessageStorageInterface::StoredMessage</a>
</li>
<li>inactivityTimeout
: <a class="el" href="structalexa_client_s_d_k_1_1acl_1_1_h_t_t_p2_transport_1_1_configuration.html#af94627d89f461128cdd67d44fdc44852">alexaClientSDK::acl::HTTP2Transport::Configuration</a>
</li>
<li>index
: <a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1storage_1_1_asset_order_item.html#a12dcc1d44450be3484ce553bbf2a2afc">alexaClientSDK::capabilityAgents::alerts::storage::AssetOrderItem</a>
</li>
<li>initVector
: <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser_1_1_encryption_info.html#a057c4a61bfecfe98793790ac5940fc99">alexaClientSDK::avsCommon::utils::playlistParser::EncryptionInfo</a>
</li>
<li>interfaceName
: <a class="el" href="structalexa_client_s_d_k_1_1afml_1_1_channel_1_1_state.html#ae86f548f1c772066eaa50d10321f7e8e">alexaClientSDK::afml::Channel::State</a>
, <a class="el" href="structalexa_client_s_d_k_1_1afml_1_1test_1_1_mock_activity_tracker_interface_1_1_expected_channel_state_result.html#a027c4ba2eadb80b16e1aea7df8d0f40e">alexaClientSDK::afml::test::MockActivityTrackerInterface::ExpectedChannelStateResult</a>
</li>
<li>interval
: <a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1_audio_item_1_1_stream_1_1_progress_report.html#ad36eafd4151cae0e46fc7012668a20e5">alexaClientSDK::capabilityAgents::audioPlayer::AudioItem::Stream::ProgressReport</a>
</li>
<li>INVALID_FD
: <a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_media_context.html#a2146a17033de05828f926a8a4fb9ea8a">alexaClientSDK::bluetoothImplementations::blueZ::MediaContext</a>
</li>
<li>INVALID_INDEX
: <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor.html#aa30f5984272de44f8f64b65ad2b1d455">alexaClientSDK::capabilityAgents::aip::AudioInputProcessor</a>
, <a class="el" href="classalexa_client_s_d_k_1_1default_client_1_1_default_client.html#abb047001df08cb55a45d7a7144b16bc8">alexaClientSDK::defaultClient::DefaultClient</a>
</li>
<li>isCancelled
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent_1_1_directive_info.html#a9af8f2d6a83601dcca851910949529df">alexaClientSDK::avsCommon::avs::CapabilityAgent::DirectiveInfo</a>
</li>
<li>isGuest
: <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player_1_1_adapter_session_state.html#a108688d22bdca4e49c74fac92153a1ca">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer::AdapterSessionState</a>
</li>
<li>isLive
: <a class="el" href="structalexa_client_s_d_k_1_1playlist_parser_1_1_m3_u_content.html#a412e3b72a2c27e9911373f755950603a">alexaClientSDK::playlistParser::M3UContent</a>
</li>
<li>isWriterEnabled
: <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1_shared_data_stream_1_1_buffer_layout_1_1_header.html#a7d20cf514389959e2146ab6fd5cb77b0">alexaClientSDK::avsCommon::utils::sds::SharedDataStream&lt; T &gt;::BufferLayout&lt; T &gt;::Header</a>
</li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
